function get_ascension_automation_settings()
	local tbl = {
		slimeling_feed_items = {
			"snapdragon pistil", "elephant stinger",
			"spooky stick",
			"diamond-studded cane", "leather mask", "flaming crutch", "infernal insoles", "infernal fife",
			"Knob Goblin scimitar", "Knob Goblin pants", "Knob Goblin tongs", "viking helmet",
			"spiked femur", "lihc face", "rusty grave robbing shovel", "bone flute",
			"knob bugle",
			"cornuthaum", "vorpal blade", "magic whistle", "ninja hot pants",
			"ASCII shirt",
			"crowbarrr", "Jolly Roger charrrm bracelet",
			"glowing red eye", "magilaser blastercannon", "titanium assault umbrella", "armgun", "ridiculously huge sword", "ocarina of space", "amulet of extreme plot significance",
			"rave whistle",
			"black helmet", "black sword", "black greaves",
			"leotarrrd", "grassy cutlass",
			"batblade",
			"antique helmet", "antique spear", "antique shield", "antique greaves",
			"broken sword",
		},
		slimeling_feed_except_one = {
			{ "leather chaps", },
			{ "wonderwall shield", },
			{ "black shield", },
			{ "snake shield", },
			{ "oversized pizza cutter", "huge spoon", },
			{ "hors d'oeuvre tray", },
			{ "hot plate", "coffin lid", },
			{ "tap shoes", },
			{ "worn tophat", "wolf mask", "cornuthaum", },
			{ "dead guy's watch", },
			{ "disturbing fanfic", },
			{ "4-dimensional guitar", },
			{ "mesh cap", },
		},
		use_items = {
			"chest of the Bonerdagon",
			"small box", "large box", "dead mimic",
			"canopic jar",
			"old coin purse", "old leather wallet",
			"Warm Subject gift certificate",
			"black pension check",
			"fat wallet",
			"ancient vinyl coin purse",
			"briefcase",
			"astral hot dog dinner", "astral six-pack", "carton of astral energy drinks",
		},
		sell_items = {
			"meat paste", "meat stack", "dense meat stack",
			"magicalness-in-a-can", "concentrated magicalness pill",
			"moxie weed", "giant moxie weed",
			"strongness elixir", "enchanted barbell",
			"bit-o-cactus", "handful of moss", "suntan lotion of moxiousness", "ancient protein powder",
			"ironic jogging shorts",
			"spooky shrunken head", "bowl of cottage cheese",
			"fat stacks of cash",
			"rat appendix", "batgut", "catgut",
			"Imp Ale", "hot katana blade", "demon skin", "cast",
			"8-ball",
			"gator skin", "decaying goldfish liver", "sewer nuggets", "bottle of sewage schnapps",
			"ghuol ears", "lihc eye", "smart skull", "ghuol egg", "ghuol guolash", "cranberries",
			"grouchy restless spirit",
			"stone of eXtreme power",
			"cocoa eggshell fragment",
			"towel", "gob of wet hair", "cardboard wakizashi",
			"phat turquoise bead", "beach glass bead", "clay peace-sign bead",
			"ballroom blintz", "royal jelly", "unidentified jerky", "mind flayer corpse",
			"procrastination potion", "probability potion",
			"drab sonata",
			"cat appendix",
			"baby killer bee",
			"rocky raccoon", "Tuesday's ruby", "mother's little helper", "happiness",
			"tip jar", "barrrnacle", "grumpy old man charrrm", "tarrrnish charrrm", "all-purpose cleaner",
			"empty Cloaca-Cola bottle", "valuable trinket",
			"enormous belt buckle",
			"hippy medical kit",
		},
		sell_except_one = {
			"yeti fur",
			"fancy bath salts",
			"leathery bat skin", "leathery cat skin", "leathery rat skin",
			"photoprotoneutron torpedo",
			"Angry Farmer candy", "plot hole", "chaos butterfly",
			"metallic A",
			"original G",
		},
		-- TODO: add a non-hardcoded place to look up equip requirements
		default_equipment = {
			hat = {
				{ name = "reinforced beaded headband", check = (basemoxie() >= 70) },
				{ name = "beer helmet", check = (basemoxie() >= 70) },
				{ name = "worn tophat", check = (basemoxie() >= 47) },
				{ name = "powdered wig", check = (basemoxie() >= 20) },
				"miner's helmet",
				"Van der Graaf helmet",
				"chef's hat",
				{ name = "Crown of the Goblin King", check = (basemoxie() >= 20) },
				"cornuthaum",
				"Knob Goblin elite helm",
				"snorkel",
			},
			shirt = {
				"astral shirt",
				"sugar shirt",
				{ name = "yak anorak", check = (basemuscle() >= 42) },
			},
-- 			weapon = {
-- 				"hilarious comedy prop",
-- 			}
			pants = {
				{ name = "leather chaps", check = (basemoxie() >= 65) },
				{ name = "distressed denim pants", check = (basemoxie() >= 70) },
				{ name = "bullet-proof corduroys", check = (basemoxie() >= 70) },
				"miner's pants",
				"swashbuckling pants",
				"Boss Bat britches",
				"Knob Goblin elite pants",
				"old sweatpants",
			},
			accessories = {
				"astral mask",
				"astral ring",
				{ name = "astral belt", check = (level() >= 7) }, -- Don't wear too early?
				"observational glasses",
				"ring of aggravate monster",
				{ name = "Nickel Gamma of Frugality", check = (basemysticality() >= 85) },
				{ name = "pirate fledges", check = (basemysticality() >= 60) },
				"Cape of the Goblin King",
				{ name = "badass belt", check = (basemysticality() >= 35) },
				{ name = "shiny ring", check = (basemysticality() >= 10) },
			}
		}
	}
	local function canwear_itemname(x)
		local itemname = nil
		if type(x) == "string" then
			if have(x) then
				itemname = x
			end
		elseif type(x) == "table" then
			if have(x.name) and x.check then
				itemname = x.name
			end
		end
		return itemname
	end
	tbl.canwear_itemname = canwear_itemname

	if have("powdered wig") and basemoxie() >= 20 then
		table.insert(tbl.sell_items, "Van der Graaf helmet")
	end
	if have("pirate fledges") then
		table.insert(tbl.sell_items, "The Big Book of Pirate Insults")
	end
	if have("intragalactic rowboat") then
		table.insert(tbl.sell_items, "awful poetry journal")
		table.insert(tbl.sell_items, "furry fur")
	end
	if meat() < 2000 then
		table.insert(tbl.sell_items, "commemorative war stein")
	end
	return tbl
end
