local function add_flyaway_message(pattern)
	local runaways = get_daily_counter("item.fly away.free runaways")
	if runaways == 1 then
		text = text:gsub(pattern, [[>%1 <span style="color: green">(]]..runaways..[[ free runaway today.)</span><]])
	else
		text = text:gsub(pattern, [[>%1 <span style="color: green">(]]..runaways..[[ free runaways today.)</span><]])
	end
end

-- navel ring

add_processor("/fight.php", function()
	if text:contains(">The pyramid of energy surrounding you shimmers as you quickly float away.<") then
		increase_daily_counter("item.fly away.free runaways")
	end
end)

add_printer("/fight.php", function()
	if text:contains(">The pyramid of energy surrounding you shimmers as you quickly float away.<") then
		add_flyaway_message(">(The pyramid of energy surrounding you shimmers as you quickly float away.)<")
	end
end)

-- greatest american pants

add_processor("/fight.php", function()
	if text:contains(">As you turn to run away, your pants suddenly activate, and you rocket off into the sky at breakneck speed.<") then
		increase_daily_counter("item.fly away.free runaways")
	end
end)

add_printer("/fight.php", function()
	if text:contains(">As you turn to run away, your pants suddenly activate, and you rocket off into the sky at breakneck speed.<") then
		add_flyaway_message(">(As you turn to run away, your pants suddenly activate, and you rocket off into the sky at breakneck speed.)<")
	end
end)

add_printer("/charpane.php", function()
	if have_equipped("navel ring of navel gazing") or have_equipped("Greatest American Pants") then
		local runaways = get_daily_counter("item.fly away.free runaways")
		local chancestr = "?"
		if runaways < 3 then
			chancestr = "100%"
		elseif runaways < 6 then
			chancestr = "80%"
		elseif runaways < 9 then
			chancestr = "50%"
		else
			chancestr = "20%"
		end
		local compact = ("%s (%s)"):format(runaways, chancestr)
		local normal = ("%s used (%s chance)"):format(runaways, chancestr)

		print_charpane_value({ normalname = "Flyaways", compactname = "Flyaways", compactvalue = compact, normalvalue = normal })
	end
end)

-- TODO: auto-adjust counter from messages?
-- You're starting to get kinda queasy from all of this flying.
-- Eurgh. At this point, you're officially airsick.
